<div class="modal-content" style="display: -webkit-inline-box;">
    <div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Gestione Note </h4>
        <button type="button" class=" close pull-right" aria-label="Close" (click)="close()">
                <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <app-alert [scope]="AlertScope.MODAL"></app-alert>
    <div class="modal-body">    
    <div style="max-height: 400px; overflow-y: auto"> 
       <table datatable [dtOptions]="dtNoteOptions" [dtTrigger]="dtTrigger" id="EvaluationNotes" style="width: 100%">
            <thead>
                <tr>
                    <th></th>
                </tr>
            </thead>
            <tbody>
               <tr *ngFor="let note of notes">
                 <td>
                    <blockquote class="blockquote" style="padding-left: 1.5rem; border-left: 5px solid #007bff !important;">
                        <p class="mb-0" style="font-size:16px;">{{note.note}}</p>
                        <footer class="blockquote-footer">Utente Inserimento: {{note.user}} <cite title="Data Inserimento">{{note.dateCreation | date: 'dd/MM/yyyy HH:mm:ss' }}</cite></footer>
                    </blockquote>   
                 </td>
               </tr>
            </tbody>
        </table>
     </div>
      <hr>
      <form #InserNoteForm name="insertNoteForm"   (ngSubmit)="addNote()">
      <blockquote class="blockquote">         
                <textarea class="form-control" rows="3" placeholder="inserisci una nuova nota qui..." maxlength="1000" [(ngModel)]="newNote.note" name="nota"></textarea>
            <footer>
                <button type="submit"  class="btn btn-sm btn-primary" style="float: right; margin-top: 15px;" aria-label="Add" [disabled]="newNote.note=='' "> 
                    <span class="oi oi-pencil icon-header"></span> Aggiungi
                </button>
            </footer>    
        </blockquote>
    </form>     
    </div>
</div>
